Subject: Re: bug#9246: Scrolling bug with word-wrap in emacs -nw

From: Antoine Levitt <[email-masked]>
Date: Sat, 06 Aug 2011 11:32:00 +0200

06/08/11 09:08, Eli Zaretskii
>> From: Antoine Levitt <[email-masked]>
>> Date: Sat, 06 Aug 2011 02:12:22 +0200
>> 
>> How to reproduce:
>> 
>> emacs -nw -Q
>> (setq word-wrap t)
>> M-x erc, join a random channel
>> M-x erc-scrolltobottom-enable
>> type in a long link (http://longlinkthatgoesoveroneline.com)
>> type in random lines till window is full
>> watch all hell break loose (point at top of window, last line not visible)
>> 
>> FWIW, this is an old bug, and probably has nothing to do with bidi.
>
> Does it happen with Emacs 23?

Yes, I just tested it on emacs-23.3, exact same symptoms.

> (I don't use ERC, so I cannot easily test.)

You don't have to use ERC, just M-x erc, accept default values until you
join freenode, then /j #testchannel-nobodyhere.